# Uses of Class
org.apache.avro.SchemaBuilder.IntDefault

Packages that use SchemaBuilder.IntDefault
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaBuilder.IntDefault in org.apache.avro

Methods in org.apache.avro that return SchemaBuilder.IntDefault
Modifier and Type
Method
Description
`final SchemaBuilder.IntDefault<R>`
SchemaBuilder.BaseFieldTypeBuilder.`intType()`
A plain int type without custom properties.
Methods in org.apache.avro that return types with arguments of type SchemaBuilder.IntDefault
Modifier and Type
Method
Description
`final SchemaBuilder.IntBuilder<SchemaBuilder.IntDefault<R>>`
SchemaBuilder.BaseFieldTypeBuilder.`intBuilder()`
Build an int type that can set custom properties.
`SchemaBuilder.IntBuilder<SchemaBuilder.UnionAccumulator<SchemaBuilder.IntDefault<R>>>`
SchemaBuilder.UnionFieldTypeBuilder.`intBuilder()`
Build an int type that can set custom properties.
`SchemaBuilder.UnionAccumulator<SchemaBuilder.IntDefault<R>>`
SchemaBuilder.UnionFieldTypeBuilder.`intType()`
A plain int type without custom properties.